Determines whether the map contains a given key

- « Ds\Map::get

- Ds\Map::hasValue »

- PHP Manual
- Ds\Map
- Determines whether the map contains a given key

# Ds\Map::hasKey

(PECL ds >= 1.0.0)

Ds\Map::hasKey — Determines whether the map contains a given key

### Description

public Ds\Map::hasKey(mixed `$key`): bool

Determines whether the map contains a given key.

### Parameters

`key`

  The key to look for.

### Return Values

Returns `true` if the key could found, `false` otherwise.

### Examples

Example #1 Ds\Map::hasKey() example

    <?php
    $map = new \Ds\Map(["a" => 1, "b" => 2, "c" => 3]);

    var_dump($map->hasKey("a")); // true
    var_dump($map->hasKey("e")); // false
    ?>

The above example will output something similar to:

    bool(true)
    bool(false)